summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-engines/openmw
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-engines/openmw')
-rw-r--r--games-engines/openmw/Manifest1
-rw-r--r--games-engines/openmw/files/openmw-0.33.0-cfg.patch14
-rw-r--r--games-engines/openmw/files/openmw-0.33.0-opencs.patch13
-rw-r--r--games-engines/openmw/metadata.xml30
-rw-r--r--games-engines/openmw/openmw-0.33.0-r2.ebuild106
5 files changed, 164 insertions, 0 deletions
diff --git a/games-engines/openmw/Manifest b/games-engines/openmw/Manifest
new file mode 100644
index 00000000000..e9704cdfda6
--- /dev/null
+++ b/games-engines/openmw/Manifest
@@ -0,0 +1 @@
+DIST openmw-0.33.0.tar.gz 3524287 SHA256 62baa03eb206bea760c6b2b0260ae1a942eac34e7439a114398d2101154f4a83 SHA512 96525ee794277284f39a18bbbd01361422273ef073917b5e51ec7951bb15e59e0d0dd39ba70311588d4b18adccffac5c4fed4d9bf9e37ca0e865869277e795f9 WHIRLPOOL ab9df256ff107fcd361a6308c6bcb49aeb5a40289a224173d6d9f883042491c09a1f90af982be257c2e425d8dd1ec44a04025622d41c21c23c9683db182dfd30
diff --git a/games-engines/openmw/files/openmw-0.33.0-cfg.patch b/games-engines/openmw/files/openmw-0.33.0-cfg.patch
new file mode 100644
index 00000000000..42125cb3d83
--- /dev/null
+++ b/games-engines/openmw/files/openmw-0.33.0-cfg.patch
@@ -0,0 +1,14 @@
+From: Julian Ospald <hasufell@gentoo.org>
+Date: Sat Jun 16 00:27:52 UTC 2012
+
+use cmake variable for data location
+
+--- files/openmw.cfg
++++ files/openmw.cfg
+@@ -1,5 +1,6 @@
+ data="?global?data"
+ data="?mw?Data Files"
++data=${MORROWIND_DATA_FILES}
+ data-local="?userdata?data"
+ resources=${OPENMW_RESOURCE_FILES}
+ script-blacklist=Museum
diff --git a/games-engines/openmw/files/openmw-0.33.0-opencs.patch b/games-engines/openmw/files/openmw-0.33.0-opencs.patch
new file mode 100644
index 00000000000..5abd7da9030
--- /dev/null
+++ b/games-engines/openmw/files/openmw-0.33.0-opencs.patch
@@ -0,0 +1,13 @@
+https://bugs.openmw.org/issues/2108
+
+diff --git a/apps/opencs/view/render/cell.hpp b/apps/opencs/view/render/cell.hpp
+index e63e095..67117bf 100644
+--- a/apps/opencs/view/render/cell.hpp
++++ b/apps/opencs/view/render/cell.hpp
+@@ -3,6 +3,7 @@
+
+ #include <string>
+ #include <map>
++#include <memory>
+
+ #include <OgreVector3.h>
diff --git a/games-engines/openmw/metadata.xml b/games-engines/openmw/metadata.xml
new file mode 100644
index 00000000000..bd371bf23c8
--- /dev/null
+++ b/games-engines/openmw/metadata.xml
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>hasufell@gentoo.org</email>
+ <name>Julian Ospald</name>
+ </maintainer>
+ <herd>games</herd>
+ <use>
+ <flag name="devtools">Install development tools like
+ bsatool, esmtool and opencs.</flag>
+ <flag name="launcher">Install the launcher for configuring
+ OpenMW.</flag>
+ </use>
+ <upstream>
+ <changelog>https://github.com/OpenMW/openmw/releases</changelog>
+ <doc lang="en">https://wiki.openmw.org</doc>
+ <bugs-to>https://bugs.openmw.org/</bugs-to>
+ <remote-id type="github">OpenMW/openmw</remote-id>
+ </upstream>
+ <longdescription lang="en">
+ OpenMW is a new and modern engine based on the one that runs the 2002
+ open-world RPG Morrowind. The engine (OpenMW) will come with its own
+ editor (OpenCS) which will allow the user to edit or create their own
+ games. Both OpenCS and OpenMW are written from scratch and aren’t
+ made to support any third party programs the original Morrowind
+ engine uses to improve its functionality.
+ </longdescription>
+</pkgmetadata>
+
diff --git a/games-engines/openmw/openmw-0.33.0-r2.ebuild b/games-engines/openmw/openmw-0.33.0-r2.ebuild
new file mode 100644
index 00000000000..cdd0b7bb62d
--- /dev/null
+++ b/games-engines/openmw/openmw-0.33.0-r2.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils gnome2-utils cmake-utils games
+
+DESCRIPTION="An open source reimplementation of TES III: Morrowind"
+HOMEPAGE="http://openmw.org/"
+SRC_URI="https://github.com/OpenMW/openmw/archive/${P}.tar.gz"
+
+LICENSE="GPL-3 MIT BitstreamVera OFL-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc devtools +launcher"
+
+# XXX static build
+RDEPEND=">=dev-games/mygui-3.2.1
+ >=dev-games/ogre-1.9.0[freeimage,ois,opengl,zip]
+ >=dev-libs/boost-1.46.0
+ dev-libs/tinyxml
+ >=dev-qt/qtcore-4.7.0:4
+ >=dev-qt/qtgui-4.7.0:4
+ media-libs/freetype:2
+ media-libs/libsdl2[X,video]
+ media-libs/openal
+ >=sci-physics/bullet-2.80
+ virtual/ffmpeg
+ devtools? ( dev-qt/qtxmlpatterns:4 )
+ launcher? ( app-arch/unshield )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? ( app-doc/doxygen media-gfx/graphviz )"
+
+S=${WORKDIR}/${PN}-${P}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-cfg.patch \
+ "${FILESDIR}"/${P}-opencs.patch
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBINDIR="${GAMES_BINDIR}"
+ $(cmake-utils_use_build devtools BSATOOL)
+ $(cmake-utils_use_build devtools ESMTOOL)
+ $(cmake-utils_use_build launcher LAUNCHER)
+ -DMWINIIMPORTER=ON
+ -DBUILD_MYGUI_PLUGIN=ON
+ $(cmake-utils_use_build devtools OPENCS)
+ -DUNITTESTS=OFF
+ -DDATADIR="${GAMES_DATADIR}"/${PN}
+ -DICONDIR=/usr/share/icons/hicolor/256x256/apps
+ -DLIBDIR="$(games_get_libdir)"
+ -DMORROWIND_DATA_FILES="${GAMES_DATADIR}"/morrowind-data
+ -DOPENMW_RESOURCE_FILES="${GAMES_DATADIR}"/${PN}/resources
+ -DGLOBAL_CONFIG_PATH="${GAMES_SYSCONFDIR}"
+ -DUSE_SYSTEM_TINYXML=ON
+ )
+
+ cmake-utils_src_configure
+}
+
+src_compile() {
+ cmake-utils_src_compile
+
+ if use doc ; then
+ emake -C "${CMAKE_BUILD_DIR}" doc
+ fi
+}
+
+src_install() {
+ cmake-utils_src_install
+ dodoc readme.txt
+
+ # about 46835 files, dodoc seems to have trouble
+ if use doc ; then
+ dodir "/usr/share/doc/${PF}"
+ find "${CMAKE_BUILD_DIR}"/docs/Doxygen/html \
+ -name '*.md5' -type f -delete
+ mv "${CMAKE_BUILD_DIR}"/docs/Doxygen/html \
+ "${D}/usr/share/doc/${PF}/" || die
+ fi
+
+ prepgamesdirs
+}
+
+pkg_preinst() {
+ games_pkg_preinst
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ gnome2_icon_cache_update
+
+ elog "You need the original Morrowind Data files. If you haven't"
+ elog "installed them yet, you can install them straight via the"
+ elog "game launcher (launcher USE flag) which is the officially"
+ elog "supported method."
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}